Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class RSAPublicKeyStructure

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.x509.RSAPublicKeyStructure

All Implemented Interfaces:
  DEREncodable

    public class RSAPublicKeyStructure

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`RSAPublicKeyStructure(ASN1Sequence seq)`
`RSAPublicKeyStructure(java.math.BigInteger modulus, java.math.BigInteger publicExponent)`

Method Summary
`static RSAPublicKeyStructure` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static RSAPublicKeyStructure` `getInstance(java.lang.Object obj)`
`java.math.BigInteger` `getModulus()`
`java.math.BigInteger` `getPublicExponent()`
`DERObject` `toASN1Object()` This outputs the key in PKCS1v2 format.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAPublicKeyStructure

    public RSAPublicKeyStructure(java.math.BigInteger modulus,
                                 java.math.BigInteger publicExponent)

### RSAPublicKeyStructure

    public RSAPublicKeyStructure(ASN1Sequence seq)

Method Detail

### getInstance

    public static RSAPublicKeyStructure getInstance(ASN1TaggedObject obj,
                                                    boolean explicit)

### getInstance

    public static RSAPublicKeyStructure getInstance(java.lang.Object obj)

### getModulus

    public java.math.BigInteger getModulus()

### getPublicExponent

    public java.math.BigInteger getPublicExponent()

### toASN1Object

    public DERObject toASN1Object()

  This outputs the key in PKCS1v2 format.

            RSAPublicKey ::= SEQUENCE {
                                modulus INTEGER, -- n
                                publicExponent INTEGER, -- e
                            }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45